ApiHive3ReplicationMetric (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationMetric

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationMetric

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHive3ReplicationMetric
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationMetric()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHive3ReplicationMetric` | `currentCount(BigDecimal currentCount)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getCurrentCount()`
    `String` | `getName()`
    `BigDecimal` | `getTotalCount()`
    `int` | `hashCode()`
    `ApiHive3ReplicationMetric` | `name(String name)`
    `void` | `setCurrentCount(BigDecimal currentCount)`
    `void` | `setName(String name)`
    `void` | `setTotalCount(BigDecimal totalCount)`
    `String` | `toString()`
    `ApiHive3ReplicationMetric` | `totalCount(BigDecimal totalCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationMetric

          public ApiHive3ReplicationMetric()

  - ### Method Detail

    - #### name

          public ApiHive3ReplicationMetric name(String name)

    - #### getName

          public String getName()

      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### currentCount

          public ApiHive3ReplicationMetric currentCount(BigDecimal currentCount)

    - #### getCurrentCount

          public BigDecimal getCurrentCount()

      Returns:
        currentCount

    - #### setCurrentCount

          public void setCurrentCount(BigDecimal currentCount)

    - #### totalCount

          public ApiHive3ReplicationMetric totalCount(BigDecimal totalCount)

    - #### getTotalCount

          public BigDecimal getTotalCount()

      Returns:
        totalCount

    - #### setTotalCount

          public void setTotalCount(BigDecimal totalCount)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.